Get a specific LOA
curl --request GET \
--url https://api.melonly.xyz/api/v1/server/loas/{loaId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.melonly.xyz/api/v1/server/loas/{loaId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.melonly.xyz/api/v1/server/loas/{loaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cancelledAt": 123,
"createdAt": 123,
"denyReason": "<string>",
"endAt": 123,
"endedAt": 123,
"endedBy": "<string>",
"expiredAt": 123,
"extensionRequests": [
{}
],
"id": "<string>",
"memberId": "<string>",
"reason": "<string>",
"reasonHistory": [
{}
],
"reviewedAt": 123,
"reviewedBy": "<string>",
"serverId": "<string>",
"startAt": 123,
"startType": 123,
"startedAt": 123,
"status": 123
}{
"error": "invalid request parameters"
}{
"error": "authorization header is required"
}{
"error": "the requested resource could not be found on this server"
}{
"error": "internal server error"
}LOA Endpoints
Get a specific LOA
Get a specific LOA (Leave of Absence) by LOA ID.
GET
/
server
/
loas
/
{loaId}
Get a specific LOA
Authorizations
Type "Bearer" followed by a space and the API token.
Path Parameters
LOA ID
Response
Successfully retrieved LOA details
⌘I
